<?php	  
     
$numberofpics = 8;		  // How many pics will be shown; 3 or more
$timeperpic = 4;		  // Each pic will be shown this time in seconds
$transitiontime = 0.6;    // Transition duration in seconds
$scaling = 1.2;           // The pics will be enlarged by this amount (value should be > 1.0)
$type = 'normal';         // Use "normal", "full" (or "thumb" if you love unsharp arts hehe)

$timewhole = $timeperpic * $numberofpics;
$transitionearly = $transitiontime/$timewhole*50;
$timewhole .= "s";

define('IN_COPPERMINE', true);
require_once('include/init.inc.php');
$css = 0;
if ($superCage->get->testInt('css')) {
    $css = $superCage->get->getInt('css');
}
if ($css == 1) {
header("Content-type: text/css; charset: UTF-8");

echo <<<EOT
body {
  margin: 0;
  padding: 0;
}

.diashow {
	 position: absolute;
	 width: 100vw;
	 height: 100vh;
	 overflow: hidden;
}
 .diashow-image {
	 position: absolute;
	 width: 100%;
	 height: 100%;
	 background: no-repeat 50% 50%;
	 background-size: cover;
	 animation-name: diashow;
	 animation-timing-function: linear;
	 animation-iteration-count: infinite;
	 animation-duration: $timewhole;
	 opacity: 1;
	 transform: scale($scaling);
}

EOT;

$i = 1;
	echo ".diashow-image:nth-child(".$i.") {";
	echo "animation-name: diashow-".$i.";";
	$tempz = 10-$i;
	echo "z-index: ".$tempz.";";
	echo "}\n";
	echo "@keyframes diashow-".$i." {\n";
	echo "0% {";
	echo "opacity: 1;";
	echo "transform: scale(".$scaling.");";
	echo "}\n";
	echo $transitionearly."% {";
	echo "opacity: 1;";
	echo "}\n";	
	$temppercent = ($i)/$numberofpics*100-$transitionearly;
	echo $temppercent."% {";
	echo "opacity: 1;";
	echo "}\n";	
	$temppercent = ($i)/$numberofpics*100+$transitionearly;
	echo $temppercent."% {";
	echo "opacity: 0;";
	echo "transform: scale(1);";
	echo "}\n";	
	echo "100% {";
	echo "opacity: 0;";
	echo "transform: scale(".$scaling.");";
	echo "}\n";	
	$temppercent = 100-$transitionearly;
	echo $temppercent."% {";
	echo "opacity: 0;";
	$tempscale = $scaling * 1.03;
	echo "transform: scale(".$tempscale.");";
	echo "}\n";	
	echo "100% {";
	echo "opacity: 1;";
	echo "}\n";	
	echo "}\n";	



for ($i = 2;$i < $numberofpics; $i++) {
	echo ".diashow-image:nth-child(".$i.") {";
	echo "animation-name: diashow-".$i.";";
	$tempz = 10-$i;
	echo "z-index: ".$tempz.";";
	echo "}\n";
	echo "@keyframes diashow-".$i." {\n";
	$temppercent = ($i-1)/$numberofpics*100-$transitionearly;
	echo $temppercent."% {";
	echo "opacity: 1;";
	echo "transform: scale(".$scaling.");";
	echo "}\n";	
	$temppercent = ($i-1)/$numberofpics*100+$transitionearly;
	echo $temppercent."% {";
	echo "opacity: 1;";
	echo "}\n";	
	$temppercent = ($i)/$numberofpics*100-$transitionearly;
	echo $temppercent."% {";
	echo "opacity: 1;";
	echo "}\n";	
	$temppercent = ($i)/$numberofpics*100+$transitionearly;
	echo $temppercent."% {";
	echo "opacity: 0;";
	echo "transform: scale(1);";
	echo "}\n";	
	echo "100% {";
	echo "opacity: 0;";
	echo "transform: scale(".$scaling.");";
	echo "}\n";	
	echo "}\n";	
}

$i = $numberofpics;
	echo ".diashow-image:nth-child(".$i.") {";
	echo "animation-name: diashow-".$i.";";
	$tempz = 10-$i;
	echo "z-index: ".$tempz.";";
	echo "}\n";
	echo "@keyframes diashow-".$i." {\n";
	$temppercent = ($i-1)/$numberofpics*100-$transitionearly;
	echo $temppercent."% {";
	echo "opacity: 1;";
	echo "transform: scale(".$scaling.");";
	echo "}\n";	
	$temppercent = ($i-1)/$numberofpics*100+$transitionearly;
	echo $temppercent."% {";
	echo "opacity: 1;";
	echo "}\n";	
	$temppercent = ($i)/$numberofpics*100-$transitionearly;
	echo $temppercent."% {";
	echo "opacity: 1;";
	echo "}\n";	
	echo "100% {";
	echo "opacity: 0;";
	echo "transform: scale(1);";
	echo "}\n";	
	echo "}\n";	

}

else
	
	{

echo <<<EOT
<!DOCTYPE html>
<html lang="de">
<head>
<meta charset="UTF-8">
<title>Diashow Fullscreen</title>
<link rel="stylesheet" href="diashow.php?css=1">
<meta name="viewport" content="width=device-width, initial-scale=1">
</head>

<body>
<div class="diashow">
EOT;

$diashow_FORBIDDEN_SET = "";
$diashow_FORBIDDEN_SET = "$FORBIDDEN_SET";

$result = cpg_db_query("SELECT * FROM {$CONFIG['TABLE_PICTURES']} AS p WHERE filename LIKE '%.jpg' AND filename not like 'youtube_%' $diashow_FORBIDDEN_SET ORDER BY RAND() LIMIT 50");

$iCounter = 0;
while ($row = cpg_db_fetch_array($result)) 
{
if ((round(800*$row[pheight]/$row[pwidth])>400) && ($row[pwidth]>$row[pheight])) {

  echo "\n";
  echo "      <div class=\"diashow-image\" style=\"background-image: url('".get_Pic_url($row, $type) ."')\"></div>\n";
  $iCounter++;
  if ($iCounter == $numberofpics) break;
}
}
cpg_db_free_result($result);
	
echo <<<EOT
</div>
</body>
</html>

EOT;

	}
?>